import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';
import 'package:syncrow_web/utils/color_manager.dart';
import 'package:syncrow_web/utils/constants/assets.dart';
import 'package:syncrow_web/web_layout/web_scaffold.dart';

class AccessManagementPage extends StatelessWidget {
  const AccessManagementPage({super.key});

  @override
  Widget build(BuildContext context) {
    Size size = MediaQuery.of(context).size;

    return WebScaffold(
        enableMenuSideba: false,
        appBarTitle: Row(
          children: [
            Text(
              'Access Management',
              style: Theme.of(context).textTheme.headlineLarge,
            )
          ],
        ),
        appBarBody: [
          Text(
            'Physical Access',
            style: Theme.of(context)
                .textTheme
                .headlineMedium!
                .copyWith(color: Colors.white),
          ),
          Text(
            'App Access',
            style: Theme.of(context)
                .textTheme
                .headlineMedium!
                .copyWith(color: Colors.white),
          )
        ],
        scaffoldBody: Container(
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              Container(
                width:size.width*0.3,
                height: size.height*0.05,
                decoration: BoxDecoration(
                  boxShadow: [
                    BoxShadow(
                      color: Colors.grey.withOpacity(0.5),
                      spreadRadius: 5,
                      blurRadius: 7,
                      offset: Offset(0, 3), // changes position of shadow
                    ),
                  ],
                    color: ColorsManager.boxColor,
                    borderRadius: BorderRadius.all(Radius.circular(10))),
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.spaceAround,
                  children: [
                    Text('All'),
                    Text('To Be Effective (0)'),
                    Text('Effective (0)'),
                    Text('Expired'),
                  ],
                ),
              ),
              SizedBox(height: 10,),
              Row(
                children: [
                  Container(
                      width:size.width*0.08,
                      height: size.height*0.05,
                      decoration: BoxDecoration(
                          boxShadow: [
                            BoxShadow(
                              color: Colors.grey.withOpacity(0.5),
                              spreadRadius: 5,
                              blurRadius: 7,
                              offset: Offset(0, 3), // changes position of shadow
                            ),
                          ],
                          color: ColorsManager.boxColor,
                          borderRadius: BorderRadius.all(Radius.circular(10))),
                      child: TextFormField()
                  ),
                  Container(
                      width:size.width*0.08,
                      height: size.height*0.05,
                      decoration: BoxDecoration(
                          boxShadow: [
                            BoxShadow(
                              color: Colors.grey.withOpacity(0.5),
                              spreadRadius: 5,
                              blurRadius: 7,
                              offset: Offset(0, 3), // changes position of shadow
                            ),
                          ],
                          color: ColorsManager.boxColor,
                          borderRadius: BorderRadius.all(Radius.circular(10))),
                      child: TextFormField()
                  ),
                  Container(
                      width:size.width*0.08,
                      height: size.height*0.05,
                      decoration: BoxDecoration(
                          boxShadow: [
                            BoxShadow(
                              color: Colors.grey.withOpacity(0.5),
                              spreadRadius: 5,
                              blurRadius: 7,
                              offset: Offset(0, 3), // changes position of shadow
                            ),
                          ],
                          color: ColorsManager.boxColor,
                          borderRadius: BorderRadius.all(Radius.circular(10))),
                      child: TextFormField()
                  ),
                  Container(
                      width:size.width*0.08,
                      height: size.height*0.05,
                      decoration: BoxDecoration(
                          boxShadow: [
                            BoxShadow(
                              color: Colors.grey.withOpacity(0.5),
                              spreadRadius: 5,
                              blurRadius: 7,
                              offset: Offset(0, 3), // changes position of shadow
                            ),
                          ],
                          color: ColorsManager.boxColor,
                          borderRadius: BorderRadius.all(Radius.circular(10))),
                      child: TextFormField()
                  )
                ],
              ),

            ],
          ),
        ));
  }
}
